Using Connect 3.6 in Firefox 44

Version 44 of the Mozilla Firefox browser has been released. This update affects users of the Aspera Connect 3.6 browser plugin.

Connect 3.6.6 and above works as expected through Firefox 44. For this reason, you should upgrade to the latest version of Connect, which you can download from the Aspera downloads site.

It has been found that earlier versions of Connect crash on Firefox 44. The solution in this case would be to upgrade.

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk